Bug 1303438 - package owns /etc/bash_completion.d but it should not own it
Summary: package owns /etc/bash_completion.d but it should not own it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lilv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-31 18:31 UTC by Germano Massullo
Modified: 2018-05-17 17:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1303437
: 1303439 (view as bug list)
Environment:
Last Closed: 2018-05-17 17:34:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Germano Massullo 2016-01-31 18:31:46 UTC
Description of problem:
The package owns /etc/bash_completion.d directory that is already owned by "filesystem" package.

Problem triggered by line
%dir %{_sysconfdir}/bash_completion.d/
at
http://pkgs.fedoraproject.org/cgit/rpms/lilv.git/tree/lilv.spec#n88
You can fix it by replacing it with
%{_sysconfdir}/bash_completion.d/%{name}

Comment 1 Germano Massullo 2016-09-13 14:49:49 UTC
You may also be interested in reading https://bugzilla.redhat.com/show_bug.cgi?id=1303441#c1

Comment 2 Fedora End Of Life 2017-02-28 09:53:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora End Of Life 2018-05-03 08:44:26 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Germano Massullo 2018-05-03 08:52:20 UTC
Could you please fix it? The problem is still there

Comment 5 Germano Massullo 2018-05-03 10:21:08 UTC
I filled a pull request
https://src.fedoraproject.org/rpms/lilv/pull-request/1

Comment 6 Fedora Update System 2018-05-06 20:33:35 UTC
lilv-0.24.2-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27ed9ef6a3

Comment 7 Fedora Update System 2018-05-06 20:56:54 UTC
lilv-0.24.2-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e7ee5cfa5

Comment 8 Fedora Update System 2018-05-06 23:42:57 UTC
lilv-0.24.2-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e7ee5cfa5

Comment 9 Fedora Update System 2018-05-07 10:48:48 UTC
lilv-0.24.2-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-27ed9ef6a3

Comment 10 Fedora Update System 2018-05-15 19:53:04 UTC
lilv-0.24.2-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-15 20:05:48 UTC
lilv-0.24.2-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.